Intermittent devtools/shared/tests/unit/test_console_filtering.js | application crashed [@ mozilla::ipc::MessageChannel::Close()]

RESOLVED INCOMPLETE

Status

()

Core
Gecko Profiler
P5
critical
RESOLVED INCOMPLETE
7 months ago
29 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

Andrea, I can't tell from the log what is going on here.  I see:

> 03:37:40     INFO -  TEST-START | devtools/shared/tests/unit/test_console_filtering.js

Then later:

> 03:37:53     INFO -  TEST-PASS | devtools/shared/tests/unit/test_console_filtering.js | took 13341ms

Then finally during a bunch of indexeddb tests:

> 03:38:52  WARNING -  PROCESS-CRASH | devtools/shared/tests/unit/test_console_filtering.js | application crashed

Can you tell if this is originating from the console?
Flags: needinfo?(amarchesini)
Priority: -- → P3
Suspect the crash is not related to the Console API, but a wrong shutdown procedure of IPC:

ipc/glue/MessageChannel.cpp: 2671
            MOZ_CRASH("Close() called on closed channel!");
Flags: needinfo?(amarchesini) → needinfo?(wmccloskey)
Can you please take a look at this Markus? It looks like an issue with the new profiler IPC code.
Component: Developer Tools → Gecko Profiler
Flags: needinfo?(wmccloskey) → needinfo?(mstange)
Product: Firefox → Core
http://searchfox.org/mozilla-central/source/tools/profiler/gecko/ProfilerChild.cpp#89

ProfilerChild::Destroy only calls Close() if ActorDestroy hasn't been called. Is there a way that the channel could be closed without ActorDestroy having been called?
Flags: needinfo?(mstange) → needinfo?(wmccloskey)
ActorDestroy is called asynchronously. Could Destroy get called twice? Maybe if some variant of ChildProfilerController::Shutdown is called twice?

It might make sense to set mDestroyed in Destroy().
Flags: needinfo?(wmccloskey)
I don't think it can get called twice, because the only caller nulls out its pointer to the object after calling Destroy():
http://searchfox.org/mozilla-central/source/tools/profiler/gecko/ChildProfilerController.cpp#98

Comment 7

7 months ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 8

7 months ago
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 9

7 months ago
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 10

6 months ago
2 failures in 656 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 11

6 months ago
3 failures in 720 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 12

6 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 13

5 months ago
2 failures in 888 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 14

5 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 15

4 months ago
2 failures in 924 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-09-04&endday=2017-09-10&tree=all
Bulk priority update of open intermittent test failure bugs. 

P3 => P5

https://bugzilla.mozilla.org/show_bug.cgi?id=1381960
Priority: P3 → P5

Comment 17

4 months ago
2 failures in 1032 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 18

4 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 19

3 months ago
3 failures in 947 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 2
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 20

3 months ago
1 failures in 864 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-10-16&endday=2017-10-22&tree=all

Comment 21

3 months ago
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 22

2 months ago
4 failures in 857 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-10-30&endday=2017-11-05&tree=all

Comment 23

2 months ago
1 failures in 762 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-11-13&endday=2017-11-19&tree=all

Comment 24

2 months ago
2 failures in 744 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371490&startday=2017-11-20&endday=2017-11-26&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 29 days ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.